#version 430 core

in vec2 UV;

out vec4 color;

uniform sampler2D image;
uniform bool dir_of_blur; //true = horizontal
uniform float weight[5] = float[] (0.2270270270, 0.1945945946, 0.1216216216, 0.0540540541, 0.0162162162);

void main() {

    vec2 texelSize = 1.0 / textureSize(image, 0);
    vec3 col_comp = texture(image, UV).rgb * weight[0];
    if(dir_of_blur)
    {
        for(int i = 0; i < 5; i++){
            col_comp += texture(image, UV + vec2(texelSize.x * i, 0.0)).rgb * weight[i];
            col_comp += texture(image, UV - vec2(texelSize.x * i, 0.0)).rgb * weight[i];
        }
    } else {
        for(int i = 1; i < 5; ++i){
            col_comp += texture(image, UV + vec2(0.0, texelSize.y * i)).rgb * weight[i];
            col_comp += texture(image, UV - vec2(0.0, texelSize.y * i)).rgb * weight[i];
        }
    }
    color = vec4(col_comp, 1.0);
}